#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/pycadf.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=pybuild --with python3

override_dh_auto_clean:
	rm -rf build .stestr *.egg-info
	find . -iname '*.pyc' -delete
	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2
	rm -rf $(CURDIR)/debian/python*-pycadf/usr/etc
	for i in `ls etc/pycadf/*.conf` ; do \
		BASENAME=`basename $$i` ; \
		install -D -m 0664 etc/pycadf/$$BASENAME $(CURDIR)/debian/pycadf-common/etc/pycadf/$$BASENAME ; \
	done

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2
endif
